VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::cli::CommandStub Class Reference

Remote stub implementation of the Command API service. More...

Inherits vmware::vapi::metadata::cli::Command.

List of all members.

## Public Member Functions
| CommandStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
global::System.Collections.Generic.List < vmware.vapi.metadata.cli.CommandTypes.Identity > | List (string path)
| Returns the identifiers of all commands, or commands in a specific namespace.
global::System.Collections.Generic.List < vmware.vapi.metadata.cli.CommandTypes.Identity > | List (string path, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers of all commands, or commands in a specific namespace.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vapi.metadata.cli.CommandTypes.Identity > > | ListAsync (string path)
| Returns the identifiers of all commands, or commands in a specific namespace.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vapi.metadata.cli.CommandTypes.Identity > > | ListAsync (string path, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers of all commands, or commands in a specific namespace.
vmware.vapi.metadata.cli.CommandTypes.Info | Get (vmware.vapi.metadata.cli.CommandTypes.Identity identity)
| Retrieves information about a command including information about how to execute that command.
vmware.vapi.metadata.cli.CommandTypes.Info | Get (vmware.vapi.metadata.cli.CommandTypes.Identity identity, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about a command including information about how to execute that command.
global::System.Threading.Tasks.Task < vmware.vapi.metadata.cli.CommandTypes.Info > | GetAsync (vmware.vapi.metadata.cli.CommandTypes.Identity identity)
| Retrieves information about a command including information about how to execute that command.
global::System.Threading.Tasks.Task < vmware.vapi.metadata.cli.CommandTypes.Info > | GetAsync (vmware.vapi.metadata.cli.CommandTypes.Identity identity, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about a command including information about how to execute that command.
string | Fingerprint ()
| Returns the aggregate fingerprint of all the command metadata from all the metadata sources.
string | Fingerprint (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the aggregate fingerprint of all the command metadata from all the metadata sources.
global::System.Threading.Tasks.Task < string > | FingerprintAsync ()
| Returns the aggregate fingerprint of all the command metadata from all the metadata sources.
global::System.Threading.Tasks.Task < string > | FingerprintAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the aggregate fingerprint of all the command metadata from all the metadata sources.

## Detailed Description

Remote stub implementation of the Command API service.

## Constructor & Destructor Documentation

vmware::vapi::metadata::cli::CommandStub::CommandStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

string vmware::vapi::metadata::cli::CommandStub::Fingerprint | ( |  | ) | `[inline]`

Returns the aggregate fingerprint of all the command metadata from all the metadata sources.

The fingerprint provides clients an efficient way to check if the metadata for commands has been modified on the server.

Returns:
  Fingerprint of all the command metadata present on the server.

Implements vmware::vapi::metadata::cli::Command.

string vmware::vapi::metadata::cli::CommandStub::Fingerprint | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the aggregate fingerprint of all the command metadata from all the metadata sources.

The fingerprint provides clients an efficient way to check if the metadata for commands has been modified on the server.

Returns:
  Fingerprint of all the command metadata present on the server.

Implements vmware::vapi::metadata::cli::Command.

global::System.Threading.Tasks.Task<string> vmware::vapi::metadata::cli::CommandStub::FingerprintAsync | ( |  | ) | `[inline]`

Returns the aggregate fingerprint of all the command metadata from all the metadata sources.

The fingerprint provides clients an efficient way to check if the metadata for commands has been modified on the server.

Returns:
  Fingerprint of all the command metadata present on the server.

Implements vmware::vapi::metadata::cli::Command.

global::System.Threading.Tasks.Task<string> vmware::vapi::metadata::cli::CommandStub::FingerprintAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the aggregate fingerprint of all the command metadata from all the metadata sources.

The fingerprint provides clients an efficient way to check if the metadata for commands has been modified on the server.

Returns:
  Fingerprint of all the command metadata present on the server.

Implements vmware::vapi::metadata::cli::Command.

vmware.vapi.metadata.cli.CommandTypes.Info vmware::vapi::metadata::cli::CommandStub::Get | ( | vmware.vapi.metadata.cli.CommandTypes.Identity | identity | ) | `[inline]`

Retrieves information about a command including information about how to execute that command.

Exceptions:

  vmware.vapi.std.errors.NotFound | if a command corresponding to identity doesn't exist.

Parameters:

  identity | Identifier of the command for which to retreive information.

Returns:
  Information about the command including information about how to execute that command.

Implements vmware::vapi::metadata::cli::Command.

vmware.vapi.metadata.cli.CommandTypes.Info vmware::vapi::metadata::cli::CommandStub::Get | ( | vmware.vapi.metadata.cli.CommandTypes.Identity | identity,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves information about a command including information about how to execute that command.

Exceptions:

  vmware.vapi.std.errors.NotFound | if a command corresponding to identity doesn't exist.

Parameters:

  identity | Identifier of the command for which to retreive information.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the command including information about how to execute that command.

Implements vmware::vapi::metadata::cli::Command.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.cli.CommandTypes.Info> vmware::vapi::metadata::cli::CommandStub::GetAsync | ( | vmware.vapi.metadata.cli.CommandTypes.Identity | identity,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves information about a command including information about how to execute that command.

Exceptions:

  vmware.vapi.std.errors.NotFound | if a command corresponding to identity doesn't exist.

Parameters:

  identity | Identifier of the command for which to retreive information.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the command including information about how to execute that command.

Implements vmware::vapi::metadata::cli::Command.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.cli.CommandTypes.Info> vmware::vapi::metadata::cli::CommandStub::GetAsync | ( | vmware.vapi.metadata.cli.CommandTypes.Identity | identity | ) | `[inline]`

Retrieves information about a command including information about how to execute that command.

Exceptions:

  vmware.vapi.std.errors.NotFound | if a command corresponding to identity doesn't exist.

Parameters:

  identity | Identifier of the command for which to retreive information.

Returns:
  Information about the command including information about how to execute that command.

Implements vmware::vapi::metadata::cli::Command.

global::System.Collections.Generic.List<vmware.vapi.metadata.cli.CommandTypes.Identity> vmware::vapi::metadata::cli::CommandStub::List | ( | string | path,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the identifiers of all commands, or commands in a specific namespace.

Exceptions:

  vmware.vapi.std.errors.NotFound | if a namespace corresponding to path doesn't exist.

Parameters:

  path | The dot-separated path of the namespace for which command identifiers should be returned. If null identifiers of all commands registered with the infrastructure will be returned.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Identifiers of the requested commands.

Implements vmware::vapi::metadata::cli::Command.

global::System.Collections.Generic.List<vmware.vapi.metadata.cli.CommandTypes.Identity> vmware::vapi::metadata::cli::CommandStub::List | ( | string | path | ) | `[inline]`

Returns the identifiers of all commands, or commands in a specific namespace.

Exceptions:

  vmware.vapi.std.errors.NotFound | if a namespace corresponding to path doesn't exist.

Parameters:

  path | The dot-separated path of the namespace for which command identifiers should be returned. If null identifiers of all commands registered with the infrastructure will be returned.

Returns:
  Identifiers of the requested commands.

Implements vmware::vapi::metadata::cli::Command.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vapi.metadata.cli.CommandTypes.Identity> > vmware::vapi::metadata::cli::CommandStub::ListAsync | ( | string | path | ) | `[inline]`

Returns the identifiers of all commands, or commands in a specific namespace.

Exceptions:

  vmware.vapi.std.errors.NotFound | if a namespace corresponding to path doesn't exist.

Parameters:

  path | The dot-separated path of the namespace for which command identifiers should be returned. If null identifiers of all commands registered with the infrastructure will be returned.

Returns:
  Identifiers of the requested commands.

Implements vmware::vapi::metadata::cli::Command.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vapi.metadata.cli.CommandTypes.Identity> > vmware::vapi::metadata::cli::CommandStub::ListAsync | ( | string | path,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the identifiers of all commands, or commands in a specific namespace.

Exceptions:

  vmware.vapi.std.errors.NotFound | if a namespace corresponding to path doesn't exist.

Parameters:

  path | The dot-separated path of the namespace for which command identifiers should be returned. If null identifiers of all commands registered with the infrastructure will be returned.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Identifiers of the requested commands.

Implements vmware::vapi::metadata::cli::Command.

The documentation for this class was generated from the following file:

- CommandStub.cs